ShiftCoverageRequests
creates shift coverage requests
Creates coverage requests for the shifts overlapping the requested time range. A range can span multiple consecutive shifts (e.g. across a handoff), so one or more coverage requests may be created; the response is always a list. A coverage request broadcasts to schedule members so someone can volunteer to cover the shift.
POST
/
v1
/
schedules
/
{schedule_id}
/
shift_coverage_requests
creates shift coverage requests
curl --request POST \
--url https://api.rootly.com/v1/schedules/{schedule_id}/shift_coverage_requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "shift_coverage_requests",
"attributes": {
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"user_id": 123
}
}
}
'import requests
url = "https://api.rootly.com/v1/schedules/{schedule_id}/shift_coverage_requests"
payload = { "data": {
"type": "shift_coverage_requests",
"attributes": {
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"user_id": 123
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'shift_coverage_requests',
attributes: {
starts_at: '2023-11-07T05:31:56Z',
ends_at: '2023-11-07T05:31:56Z',
user_id: 123
}
}
})
};
fetch('https://api.rootly.com/v1/schedules/{schedule_id}/shift_coverage_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "shift_coverage_requests",
"attributes": {
"schedule_id": "<string>",
"shift_id": "<string>",
"original_shift_user_id": 123,
"created_by_user_id": 123,
"starts_at": "<string>",
"ends_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"schedule": {
"data": {
"id": "<string>",
"type": "schedules",
"attributes": {
"name": "<string>",
"owner_user_id": 123,
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"all_time_coverage": true,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": [
"<string>"
],
"sync_linear_enabled": true,
"include_shadows_in_slack_notifications": true,
"shift_start_notifications_enabled": true,
"shift_update_notifications_enabled": true,
"shift_report_enabled": true,
"shift_report_time_of_day": "<string>",
"shift_report_time_zone": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
},
"shift": {
"schedule_id": "<string>",
"rotation_id": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"is_override": true,
"is_shadow": true,
"user_id": 123
},
"original_shift_user": {
"data": {
"id": "<string>",
"type": "users",
"attributes": {
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"time_zone": "<string>"
},
"relationships": {
"role": {
"data": {
"id": "<string>",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "<string>",
"type": "on_call_roles"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
},
"created_by_user": {
"data": {
"id": "<string>",
"type": "users",
"attributes": {
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"time_zone": "<string>"
},
"relationships": {
"role": {
"data": {
"id": "<string>",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "<string>",
"type": "on_call_roles"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
creates shift coverage requests
